Credential ID of the calendar to delete, as returned by the /calendars endpoint
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "calendar": { "type": "string", "description": "The calendar value", "enum": [ "apple", "google", "office365" ] }, "id": { "type": "integer", "description": "Credential ID of the calendar to delete, as returned by the /calendars endpoint" } }, "required": [ "PCID", "calendar", "id" ]}
Deprecated: Use timeZone instead. The timezone of the user represented as a string
timeZone
string
No
—
The timezone for the busy times query represented as a string
dateFrom
string
No
—
The starting date for the busy times query
dateTo
string
No
—
The ending date for the busy times query
credentialId
number
Yes
—
Credential Id
externalId
string
Yes
—
External Id
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "loggedInUsersTz": { "type": "string", "description": "Deprecated: Use timeZone instead. The timezone of the user represented as a string" }, "timeZone": { "type": "string", "description": "The timezone for the busy times query represented as a string" }, "dateFrom": { "type": "string", "description": "The starting date for the busy times query" }, "dateTo": { "type": "string", "description": "The ending date for the busy times query" }, "credentialId": { "type": "number", "description": "Credential Id" }, "externalId": { "type": "string", "description": "External Id" } }, "required": [ "PCID", "credentialId", "externalId" ]}
Unique identifier used to represent the specific calendar, as returned by the /calendars endpoint
integration
string
Yes
—
The calendar service you want to integrate, as returned by the /calendars endpoint
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "delegationCredentialId": { "type": "string", "description": "Delegation Credential Id" }, "externalId": { "type": "string", "description": "Unique identifier used to represent the specific calendar, as returned by the /calendars endpoint" }, "integration": { "type": "string", "description": "The calendar service you want to integrate, as returned by the /calendars endpoint", "enum": [ "apple_calendar", "google_calendar", "office365_calendar" ] } }, "required": [ "PCID", "externalId", "integration" ]}
Each object contains days and times when the user is available. If not passed, the default availability is Monday to Friday from 09:00 to 17:00.
isDefault
boolean
Yes
—
Each user should have 1 default schedule. If you specified timeZone when creating managed user, then the default schedule will be created with that timezone. Default schedule means that if an event type is not tied to a specific schedule then the default schedule is used.
name
string
Yes
—
The name value
overrides
object[]
No
—
Need to change availability for a specific date? Add an override.
timeZone
string
Yes
—
Timezone is used to calculate available times when an event using the schedule is booked.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "availability": { "type": "array", "items": { "type": "object" }, "description": "Each object contains days and times when the user is available. If not passed, the default availability is Monday to Friday from 09:00 to 17:00." }, "isDefault": { "type": "boolean", "description": "Each user should have 1 default schedule. If you specified `timeZone` when creating managed user, then the default schedule will be created with that timezone. Default schedule means that if an event type is not tied to a specific schedule then the default schedule is used." }, "name": { "type": "string", "description": "The name value" }, "overrides": { "type": "array", "items": { "type": "object" }, "description": "Need to change availability for a specific date? Add an override." }, "timeZone": { "type": "string", "description": "Timezone is used to calculate available times when an event using the schedule is booked." } }, "required": [ "PCID", "isDefault", "name", "timeZone" ]}
Get available time slots for an event typeParameters:
Parameter
Type
Required
Default
Description
bookingUidToReschedule
string
No
—
The unique identifier of the booking being rescheduled. When provided will ensure that the original booking time appears within the returned available slots when rescheduling.
start
string
Yes
—
Time starting from which available slots should be checked. Must be in UTC timezone as ISO 8601 datestring. You can pass date without hours which defaults to start of day or specify hours: 2024-08-13 (will have hours 00:00:00 aka at very beginning of the date) or you can specify hours manually like 2024-08-13T09:00:00Z.
end
string
Yes
—
Time until which available slots should be checked. Must be in UTC timezone as ISO 8601 datestring. You can pass date without hours which defaults to end of day or specify hours: 2024-08-20 (will have hours 23:59:59 aka at the very end of the date) or you can specify hours manually like 2024-08-20T18:00:00Z.
organizationSlug
string
No
—
The slug of the organization to which user with username belongs or team with teamSlug belongs.
teamSlug
string
No
—
The slug of the team who owns event type with eventTypeSlug - used when slots are checked for team event type.
username
string
No
—
The username of the user who owns event type with eventTypeSlug - used when slots are checked for individual user event type.
eventTypeSlug
string
No
—
The slug of the event type for which available slots should be checked. If slug is provided then username or teamSlug must be provided too and if relevant organizationSlug too.
eventTypeId
number
No
—
The ID of the event type for which available slots should be checked.
usernames
string
No
—
The usernames for which available slots should be checked separated by a comma. Checking slots by usernames is used mainly for dynamic events where there is no specific event but we just want to know when 2 or more people are available. Must contain at least 2 usernames.
format
string
No
—
Format of slot times in response. Use ‘range’ to get start and end times. Use ‘time’ or omit this query parameter to get only start time.
duration
number
No
—
If event type has multiple possible durations then you can specify the desired duration here. Also, if you are fetching slots for a dynamic event then you can specify the duration her which defaults to 30, meaning that returned slots will be each 30 minutes long.
timeZone
string
No
—
Time zone in which the available slots should be returned. Defaults to UTC.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "bookingUidToReschedule": { "type": "string", "description": "The unique identifier of the booking being rescheduled. When provided will ensure that the original booking time appears within the returned available slots when rescheduling." }, "start": { "type": "string", "description": "Time starting from which available slots should be checked. Must be in UTC timezone as ISO 8601 datestring. You can pass date without hours which defaults to start of day or specify hours: 2024-08-13 (will have hours 00:00:00 aka at very beginning of the date) or you can specify hours manually like 2024-08-13T09:00:00Z." }, "end": { "type": "string", "description": "Time until which available slots should be checked. Must be in UTC timezone as ISO 8601 datestring. You can pass date without hours which defaults to end of day or specify hours: 2024-08-20 (will have hours 23:59:59 aka at the very end of the date) or you can specify hours manually like 2024-08-20T18:00:00Z." }, "organizationSlug": { "type": "string", "description": "The slug of the organization to which user with username belongs or team with teamSlug belongs." }, "teamSlug": { "type": "string", "description": "The slug of the team who owns event type with eventTypeSlug - used when slots are checked for team event type." }, "username": { "type": "string", "description": "The username of the user who owns event type with eventTypeSlug - used when slots are checked for individual user event type." }, "eventTypeSlug": { "type": "string", "description": "The slug of the event type for which available slots should be checked. If slug is provided then username or teamSlug must be provided too and if relevant organizationSlug too." }, "eventTypeId": { "type": "number", "description": "The ID of the event type for which available slots should be checked." }, "usernames": { "type": "string", "description": "The usernames for which available slots should be checked separated by a comma. Checking slots by usernames is used mainly for dynamic events where there is no specific event but we just want to know when 2 or more people are available. Must contain at least 2 usernames." }, "format": { "type": "string", "description": "Format of slot times in response. Use 'range' to get start and end times. Use 'time' or omit this query parameter to get only start time." }, "duration": { "type": "number", "description": "If event type has multiple possible durations then you can specify the desired duration here. Also, if you are fetching slots for a dynamic event then you can specify the duration her which defaults to 30, meaning that returned slots will be each 30 minutes long." }, "timeZone": { "type": "string", "description": "Time zone in which the available slots should be returned. Defaults to UTC." } }, "required": [ "PCID", "start", "end" ]}
The ID of the event type for which slot should be reserved.
reservationDuration
number
No
—
ONLY for authenticated requests with api key, access token or OAuth credentials (ID + secret). For how many minutes the slot should be reserved - for this long time noone else can book this event type at start time. If not provided, defaults to 5 minutes.
slotDuration
number
No
—
By default slot duration is equal to event type length, but if you want to reserve a slot for an event type that has a variable length you can specify it here as a number in minutes. If you don’t have this set explicitly that event type can have one of many lengths you can omit this.
slotStart
string
Yes
—
ISO 8601 datestring in UTC timezone representing available slot.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "eventTypeId": { "type": "number", "description": "The ID of the event type for which slot should be reserved." }, "reservationDuration": { "type": "number", "description": "ONLY for authenticated requests with api key, access token or OAuth credentials (ID + secret). For how many minutes the slot should be reserved - for this long time noone else can book this event type at `start` time. If not provided, defaults to 5 minutes." }, "slotDuration": { "type": "number", "description": "By default slot duration is equal to event type length, but if you want to reserve a slot for an event type that has a variable length you can specify it here as a number in minutes. If you don't have this set explicitly that event type can have one of many lengths you can omit this." }, "slotStart": { "type": "string", "description": "ISO 8601 datestring in UTC timezone representing available slot." } }, "required": [ "PCID", "eventTypeId", "slotStart" ]}
The ID of the event type for which slot should be reserved.
reservationDuration
number
No
—
ONLY for authenticated requests with api key, access token or OAuth credentials (ID + secret). For how many minutes the slot should be reserved - for this long time noone else can book this event type at start time. If not provided, defaults to 5 minutes.
slotDuration
number
No
—
By default slot duration is equal to event type length, but if you want to reserve a slot for an event type that has a variable length you can specify it here as a number in minutes. If you don’t have this set explicitly that event type can have one of many lengths you can omit this.
slotStart
string
Yes
—
ISO 8601 datestring in UTC timezone representing available slot.
Show inputSchema
{ "type": "object", "properties": { "PCID": { "type": "string", "description": "Pink Connect ID for the authenticated connection" }, "uid": { "type": "string", "description": "The uid value" }, "eventTypeId": { "type": "number", "description": "The ID of the event type for which slot should be reserved." }, "reservationDuration": { "type": "number", "description": "ONLY for authenticated requests with api key, access token or OAuth credentials (ID + secret). For how many minutes the slot should be reserved - for this long time noone else can book this event type at `start` time. If not provided, defaults to 5 minutes." }, "slotDuration": { "type": "number", "description": "By default slot duration is equal to event type length, but if you want to reserve a slot for an event type that has a variable length you can specify it here as a number in minutes. If you don't have this set explicitly that event type can have one of many lengths you can omit this." }, "slotStart": { "type": "string", "description": "ISO 8601 datestring in UTC timezone representing available slot." } }, "required": [ "PCID", "uid", "eventTypeId", "slotStart" ]}